{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends "bootstrap_3_layout.html.twig" %}

{% block form_row -%}
    {% set group_attr = group_attr|merge({class: (group_attr.class|default('') ~ ' ' ~ block('form_group_container_class'))|trim}) %}
    <div{% for attrname, attrvalue in group_attr %} {{ attrname }}="{{ attrvalue }}"{% endfor %}>
        {{- form_label(form) -}}
        {{- form_widget(form) -}}
        {{- form_errors(form) -}}
        {% if help is defined %}<p class="help-block">{{ help|trans|raw }}</p>{% endif %}
    </div>
{%- endblock form_row %}

{% block form_group_container_class -%}
    form-group{% if (not compound or force_error|default(false)) and not valid %} has-error{% endif %}{{ form.vars.required ? ' required': '' }}
{%- endblock form_group_container_class %}